Mailinglist Archive: opensuse-support (71 mails)

< Previous Next >
[opensuse-support] kscreenlocker with smartcard problem in Leap 15
Hi Folks,

The chump is stumped!  I'm having problems with kscreenlocker when unlocking
with a pin for a smartcard.  I've already reported the bug on bugzilla and on
KDE's
bugtracking system, but no one has touched them for more than a week.  Maybe
I can find help here?

First, the smartcards work with KDM for console logins, it's only kscreenlocker
that fails.
So the reader, pcscd, libcoolkey, and pam_pkcs11 all work. Everything also
works on
42.x installs.

Running pam_pkcs11 in debug mode shows kcheckpass calling pam_pkcs11, but fails
to find a certificate.  kcheckpass is apparently a component of kscreenlocker.

So I looked to upgrade kscreenlocker from KDE:Frameworks5 (RPM) but hit a failed
libQt5Core.so.5(Qt_5.11) dependency.  I'd rather not mess with the guts of KDE
at this time, are there any alternatives?  Maybe use a different screen locker?
Any suggestions?  I contacted a developer listed on github for kcheckpass but
was rebuffed for having the audacity to try to directly contact him.  He hadn't
touch it for years anyway...

Regards,
Lew

--
To unsubscribe, e-mail: opensuse-support+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-support+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages